/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)almul.c	1.8	9/19/95";
#include <farl.h>
#include <agl.h>

/*
 * ライトのマトリクスによる変換
 */
void
AGLLightMulMatrix(int ln, fix1015 mx[3][3])
{
     FarlSetSrcMatrix3x3((unsigned short*)mx);
     FarlMul3x1V1015(__AGLLight[ln].lightVector[0],
		     __AGLLight[ln].lightVector[1],
		     __AGLLight[ln].lightVector[2]);
     FarlCopyDstToMem3x1((fix1015*)__AGLLight[ln].lightVector);
     __AGLLight[ln].lightChanged = 1;
}
